﻿/*
 * DEXTUploadX5 Configuration javascript file
 * Copyright DEVPIA Inc.
 */
;; (function (win) {

	if (!location.origin) location.origin = location.protocol + "//" + location.host;

	win.dextuploadx5Configuration = {

		// 제품의 인증키 문자열입니다.
		// 파일을 업로드하기 위해서는 반드시 인증키 문자열이 있어야 합니다.
		// example) authkey: "jn+xziPdVh6f5KN17uFHd.....암호화된 문자열입니다.....I9r5XGfwxQ=",
		authkey: "",
		
		// 사용하고자 하는 제품의 명시 버전입니다.
		// 1) multi 제품의 경우
		//   설치형 제품이 아니므로, 리소스를 그대로 사용합니다.
		// 2) ie 제품의 경우
		//   설치 버전 >= 명시 버전: 설치된 제품을 그대로 사용합니다.
		//   설치 버전 < 명시 버전: 명시된 버전을 다운로드할 수 있는 다운로드 페이지(아래 ieDownloadURL을 참고)로 이동합니다.
		version: "1.0.0.0",

		// 패스란 제품 리소스의 위치를 말합니다.
		// 반드시 스키마(http, https)를 포함한 전체 path를 설정해주셔야 합니다.
		// 절대로 상대경로를 입력하지 마세요.
		// 전제 경로 예제 productPath: "http://www.sample.com/dx5/",
		// 동일 도메인이라면 productPath: location.origin + "/dx5/",
		productPath: location.origin + "/dx5sample/dx5/",

		// ie 버전을 사용하는 경우, 제품이 설치되지 않았을 때, 제품을 다운로드할 수 있는 페이지로 이동시킵니다.
		// 다운로드 페이지 경로는 반드시 productPath 하위에 존재할 필요가 없으며, 주어진 환경에 따라 커스터마이징하여 사용하십시오.
		// 절대로 상대경로를 입력하지 마세요.
		// 전제 경로 예제 productPath: "http://www.sample.com/dx5/dextuploadx5-ax-download.html",
		// 동일 도메인이라면 productPath: location.origin + "/dx5/dextuploadx5-ax-download.html",
		ieDownloadURL: location.origin + "/dx5sample/dx5/dextuploadx5-ax-download.html"
	};	
})(window);