<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
	<link rel="stylesheet" type="text/css" href="./common/styles/default.css"/>
	<title>DEXTUploadX5 Basic Samples (with DEXTUploadNJ)</title>
</head>
<body>
	<div id="Container">
		<header><div class="logobg"></div></header>
		<div id="root"><a>DEXTUploadX5 Basic Samples (with DEXTUploadNJ)</a></div>
		<div id="MainCenter">
			<article>
				<p class="expText">DEXTUploadX5 전반적인 기능을 이해하기 위해 작성된 샘플입니다.</p>				
				<p class="expText">샘플을 실행하기 전에 아래 내용을 반드시 확인하길 바랍니다.</p>
				<ul class="expTextSub">
					<li class="bold">DEXTUploadX5는 웹브라우저에서 동작하는 클라이언트 컴포넌트입니다.</li>
					<li class="bold">DEXTUploadX5는 HTML5 기반으로 동작하는 멀티 버전과 ActiveX 기반으로 동작하는 IE 버전이 있습니다.</li>
					<li class="bold">해당 샘플은 DEXTUploadX5가 업로드한 파일을 처리하기 위한 서버 측 컴포넌트로 DEXTUploadNJ가 사용되고 있습니다.</li>
					<li class="bold">DEXTUploadX5를 사용하려면 평가판 키가 필요합니다.</li>
					<li class="bold">DEXTUploadX5 평가판을 다운로드할 때 이메일로 제공된 평가판 키를 웹루트/dx5/dextuploadx5-configuration.js 파일에 설정하시길 바랍니다.</li>
					<li class="bold">DEXTUploadNJ는 평가판 라이선스로 설정되어있으므로 별도로 설정하실 필요가 없습니다.(DEXTUploadX5와 동일하게 30일 사용 가능)</li>
					<li class="bold"> WEB-INF/dextuploadnj.config 파일은 DEXTUploadNJ의  평가판 라이선스 파일입니다.</li>
					<li>샘플은 Java SE 1.6, Servlet API 2.5, Maven 환경을 기반으로 제작되었습니다.</li>
					<li>샘플은 이해를 돕기 위해 외부 프레임워크에 의존하지 않고 대부분의 소스를 JSP 및 서블릿으로 구현하고 있습니다.</li>
					<li>샘플은 UTF-8 환경을 기준으로 합니다. 개발환경이 Ansi인 경우 한글 주석이 모두 깨져 보일 수 있습니다.</li>
					<li>src/main/webapp 디렉터리는 웹 루트이고, src/main/java는 서블릿 소스 위치입니다.</li>
				</ul>
				<p>&nbsp;</p>
				<table class="samList" id="tlb-prepared">
					<colgroup>
						<col width="15%">
						<col width="85%">
					</colgroup>
					<thead>
						<tr><td colspan="2" class="tableTit">필수 사항</td></tr>
					</thead>
					<tbody>
						<tr><th><a href="./document/configuration.html">설정</a></th><td>인증키 및 경로 설정에 대한 예제입니다.</td></tr>
					</tbody>
				</table>
				<p>&nbsp;</p>
				<table class="samList" id="tlb-multi">
					<colgroup>
						<col width="15%">
						<col width="85%">
					</colgroup>
					<thead>
						<tr><td colspan="2" class="tableTit">멀티 버전</td></tr>
					</thead>
					<tbody>
						<tr><th><a href="./multi/basic.html">생성</a></th><td>컴포넌트를 생성하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/simple-upload.html">업로드</a></th><td>파일을 업로드하는 가장 간단한 예제입니다.</td></tr>
						<tr><th><a href="./multi/error.html">오류</a></th><td>오류를 처리하는 방법을 설명하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/virtual-file.html">가상 파일</a></th><td>가상 파일을 등록하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/selection.html">선택</a></th><td>항목을 선택하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/deletion.html">삭제/복구</a></th><td>항목을 삭제 또는 복구하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/information.html">항목</a></th><td>항목이 가지고 있는 정보를 확인하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/metadata.html">메타데이터</a></th><td>메타 데이터를 다루는 예제입니다.</td></tr>
						<tr><th><a href="./multi/filtering.html">필터링1</a></th><td>항목의 개수 및  크기를 제한하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/filtering-extension.html">필터링2</a></th><td>파일 확장자를 제한하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/filtering-duplication.html">필터링3</a></th><td>중복된 파일을 제한하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/filtering-silence.html">필터링4</a></th><td>전체 차단, 부분 허용에 대한 예제입니다.</td></tr>
						<tr><th><a href="./multi/styling-list.html">스타일1</a></th><td>리스트(list) 형식 스타일 설정 예제입니다.</td></tr>
						<tr><th><a href="./multi/styling-tile.html">스타일2</a></th><td>타일(tile) 형식 스타일 설정 예제입니다.</td></tr>
						<tr><th><a href="./multi/styling-single.html">스타일3</a></th><td>싱글(single) 형식 스타일 설정 예제입니다.</td></tr>
						<tr><th><a href="./multi/uploading-mode.html">업로드 모드</a></th><td>ORAF/OROF 파일 업로드 예제입니다.</td></tr>
						<tr><th><a href="./multi/downloading.html">다운로드</a></th><td>파일 다운로드 예제입니다.</td></tr>
						<tr><th><a href="./multi/opening.html">열기</a></th><td>파일 열기 예제입니다.</td></tr>
						<tr><th><a href="./multi/submitting-form.html">폼 전송</a></th><td>파일과 폼 데이터를 전송하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/updating-form.html">수정 모드</a></th><td>게시물 수정처럼 신규 파일을 등록하고, 기존 파일을 삭제하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/hiding-progressive.html">진행창 숨기기</a></th><td>기본 진행창을 사용하지 않는 예제입니다.</td></tr>
						<tr><th><a href="./multi/changing-progress.html">진행창 변경</a></th><td>진행창을 변경하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/i18n.html">국제화</a></th><td>언어 설정에 맞도록 리소스를 변경하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/advance-multiple.html">활용1</a></th><td>컴포넌트를 여러 개 사용하는 예제입니다.</td></tr>
						<tr><th><a href="./multi/advance-multiple-single.html">활용2</a></th><td>SINGLE 스타일로 컴포넌트를 여러 개 사용하는 예제입니다.</td></tr>
					</tbody>
				</table>
				<p>&nbsp;</p>
      			<table class="samList" id="tlb-ie">
					<colgroup>
						<col width="15%">
        				<col width="85%">
					</colgroup>
					<thead>
						<tr><td colspan="2" class="tableTit">IE 버전</td></tr>
					</thead>
					<tbody>
						<tr><th><a href="./ie/basic.html">생성</a></th><td>컴포넌트를 생성하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/client-download.html">설치</a></th><td>클라이언트 설치 프로그램을 다운로드하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/simple-upload.html">업로드</a></th><td>파일을 업로드하는 가장 간단한 예제입니다.</td></tr>
						<tr><th><a href="./ie/error.html">오류</a></th><td>오류를 처리하는 방법을 설명하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/virtual-file.html">가상 파일</a></th><td>가상 파일을 등록하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/selection.html">선택</a></th><td>항목을 선택하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/deletion.html">삭제/복구</a></th><td>항목을 삭제 또는 복구하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/information.html">항목</a></th><td>항목이 가지고 있는 정보를 확인하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/metadata.html">메타데이터</a></th><td>메타 데이터를 다루는 예제입니다.</td></tr>
						<tr><th><a href="./ie/dialog-title.html">다이얼로그</a></th><td>파일, 폴더 다이얼로그를 다루는 예제입니다.</td></tr>
						<tr><th><a href="./ie/sorting.html">정렬</a></th><td>항목을 정렬하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/filtering.html">필터링1</a></th><td>항목의 개수 및  크기를 제한하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/filtering-extension.html">필터링2</a></th><td>파일 확장자를 제한하는 예제입니다.</td></tr>						
						<tr><th><a href="./ie/filtering-silence.html">필터링3</a></th><td>전체 차단, 부분 허용에 대한 예제입니다.</td></tr>
						<tr><th><a href="./ie/styling-report.html">스타일1</a></th><td>레포트(report) 형식 스타일 설정 예제입니다.</td></tr>
						<tr><th><a href="./ie/styling-simple.html">스타일2</a></th><td>심플(report_simple) 형식 스타일 설정 예제입니다.</td></tr>
						<tr><th><a href="./ie/styling-tree.html">스타일3</a></th><td>트리(tree) 형식 스타일 설정 예제입니다.</td></tr>
						<tr><th><a href="./ie/uploading-mode.html">업로드 모드</a></th><td>ORAF/OROF 파일 업로드 예제입니다.</td></tr>
						<tr><th><a href="./ie/downloading.html">다운로드</a></th><td>파일 다운로드 예제입니다.</td></tr>
						<tr><th><a href="./ie/opening.html">열기</a></th><td>파일 열기 예제입니다.</td></tr>
						<tr><th><a href="./ie/use-profile.html">프로필</a></th><td>프로필 사용 예제입니다.</td></tr>
						<tr><th><a href="./ie/submitting-form.html">폼 전송</a></th><td>파일과 폼 데이터를 전송하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/updating-form.html">수정 모드</a></th><td>게시물 수정처럼 신규 파일을 등록하고, 기존 파일을 삭제하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/compression.html">압축</a></th><td>업로드할 파일을 압축하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/encryption.html">암호화</a></th><td>업로드할 파일을 암호화하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/decryption.html">복호화</a></th><td>암호화된 파일을 복호화하는 예제입니다.</td></tr>						
						<tr><th><a href="./ie/thumbnail-making.html">섬네일</a></th><td>로컬 이미지 파일로부터 섬네일 생성하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/preview.html">미리보기</a></th><td>로컬 이미지 파일 뷰어를 지원합니다.</td></tr>
						<tr><th><a href="./ie/folder-upload.html">폴더 업로드</a></th><td>파일을 업로드할 때, 폴더 구조로 업로드하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/folder-downloading.html">폴더 다운로드</a></th><td>파일을 다운로드할 때, 폴더 구조로 다운로드하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/exif.html">EXIF</a></th><td>이미지 파일의 EXIF 정보를 얻는 예제입니다.</td></tr>
						<tr><th><a href="./ie/speed.html">속도 제한</a></th><td>업로드, 다운로드 속도를 제한하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/clipboard-upload.html">클립보드 업로드</a></th><td>클립보드 데이터를 기반으로 파일 업로드를 수행하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/hiding-progressive.html">진행창 숨기기</a></th><td>기본 진행창을 사용하지 않는 예제입니다.</td></tr>
						<tr><th><a href="./ie/changing-progress.html">진행창 변경</a></th><td>진행창을 변경하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/i18n.html">국제화</a></th><td>언어 설정에 맞도록 리소스를 변경하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/advance-multiple.html">활용1</a></th><td>컴포넌트를 여러 개 사용하는 예제입니다.</td></tr>
						<tr><th><a href="./ie/advance-multiple-simple.html">활용2</a></th><td>SIMPLE 스타일로 컴포넌트를 여러 개 사용하는 예제입니다.</td></tr>
					</tbody>
				</table>
				<p>&nbsp;</p>
			</article>
		</div>
		<footer>
    	<div>Copyright ⓒ (주) 데브피아. All rights reserved.</div>
  	</footer>
	</div>
</body>
</html>